import { RecordSetVisitor } from "../proxy/RecordSetVisitor";
import { SelectedWorkPackageVisitor } from "./SelectedWorkPackageVisitor";
/**
 *
 */
export class SdaSelectedWorkPackagesState extends RecordSetVisitor {
    constructor(value) {
        super(value);
    }
    // --- State Management Helpers --- //
    static emptyRecordSetVisitor() {
        return new SdaSelectedWorkPackagesState(super.emptyRecordSetVisitor().enclosedJsonObject());
    }
    // --- State Management --- //
    visitRecordAtId(id) {
        return super.visitRecordAtId(id);
    }
    *visitRecords() {
        let index = 0;
        while (index < this.enclosedJsonObject().records.length) {
            yield new SelectedWorkPackageVisitor(this.enclosedJsonObject().records[index++]);
        }
    }
}
